<?php

echo '<table class="table table-sm">';
foreach ($chars as $char) {
if($char!='empty'){
echo '<tr class="table-success"><td>
<a href="?p=characters&id='.$char['charid'].'">'.$char['charname'].'</a></td></tr>';

$ls=getLinkshellbyChar($char['charid']);
if($ls!='empty'){
	foreach ($ls as $link){
		echo '<tr><td><a href=?p=lsm&id='.getLinkshellbyName($link['signature'])['linkshellid'].'>'.$link['signature'].'</a></td></tr>';
	}
}
}
}

echo '</table>';
?>